### Function

# FwupdPlugin strpassmask

#### Declaration [src]

    gchar*
    fu_strpassmask (
      const gchar* str
    )

#### Description [src]

Hides password strings encoded in HTTP requests.

Available since: | 1.9.10

#### Parameters

`str` | `const gchar*`
| A string to make safe for printing.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.